<template lang="pug">
section.photoshop
  .wrapper
    h2.photoshop__title <span class="photoshop__title--outline">Play in</span> Photoshop
    .photoshop__images
      .images__image
        .image__badge Before
        img.image__pic(src="../../static/vue-static/photoshop-img-1.png")
      .images__image
        .image__badge.image__badge--green After
        img.image__pic(src="../../static/vue-static/photoshop-img-2.png")
    .photoshop__footer
      .footer__quote
        p.quote__text
          | "It makes a big difference to be able to just natively edit the masked images. Really easy to match a background. Completely changes the outcome!"
        .quote__author
          img.author__image(src="../../static/vue-static/tyler.png")
          p.author__description Tyler Lastovich
            span.description__role PM at <a href="https://www.instagram.com/lastlystudios/" target="_blank" class="role__link">Lastly Studios</a>
      a.footer__button(href="/creator/dashboard")
          span.button__label Start playing
          .button__icon(v-html="$icons.buttonArrow")

</template>

<style lang="scss" scoped>
.photoshop {
  width: 100%;
  height: 100%;
  margin: 0 0 40px;
  color: #fff;

  @media (min-width: 576px) {
    margin: 0 0 100px;
  }

  &__title {
    font-weight: 600;
    font-size: 32px;
    letter-spacing: -1px;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 64px;

    @media (min-width: 768px) {
      font-size: 40px;
      letter-spacing: -0.03em;
    }

    &--outline {
      color: rgba(255, 255, 255, 0);
      -webkit-text-stroke-width: 1px;
      -webkit-text-stroke-color: #fff;
    }
  }

  &__images {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    @media (min-width: 576px) {
      text-align: center;
    }

    @media (min-width: 900px) {
      flex-wrap: nowrap;
    }

    .images {
      &__image {
        position: relative;
        margin: 0 15px 24px;

        .image {
          &__badge {
            position: absolute;
            top: 18px;
            left: 18px;
            background: #fff;
            border-radius: 18px;
            padding: 4px 12px;
            font-size: 13px;
            font-weight: 500;
            color: #1a1a1a;

            &--green {
              background: #0ca940;
              color: #fff;
            }

            @media (min-width: 576px) {
              text-align: center;
              left: 18%;
            }

            @media (min-width: 900px) {
              left: 18px;
            }
          }

          &__pic {
            width: 100%;
            height: 100%;

            @media (min-width: 576px) {
              width: 70%;
              height: 70%;
            }

            @media (min-width: 900px) {
              width: 420px;
              height: 320px;
            }
          }
        }
      }
    }
  }

  &__footer {
    margin: 24px auto 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;

    @media (min-width: 576px) {
      width: 84%;
      flex-direction: row;
    }

    .footer {
      &__quote {
        text-align: center;

        @media (min-width: 576px) {
          width: 60%;
          text-align: left;
        }

        .quote {
          &__text {
            line-height: 1.5em;
          }

          &__author {
            display: flex;
            align-items: center;
            justify-content: center;

            @media (min-width: 576px) {
              justify-content: flex-start;
            }

            .author {
              &__image {
                width: 48px;
                height: 48px;
                border-radius: 100%;
                margin-right: 20px;
              }

              &__description {
                display: flex;
                flex-direction: column;
                font-weight: 500;

                .description {
                  &__role {
                    margin-top: 8px;
                    font-weight: 400;
                    opacity: 0.5;

                    .role {
                      &__link {
                        color: #fff;
                        text-decoration: none;
                        border-bottom: 1px solid #fff;
                        transition: 0.2s;

                        &:hover {
                          border-bottom: 1px solid rgba(#fff, 0);
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }

      &__button {
        display: flex;
        position: relative;
        top: 16px;
        justify-content: center;
        box-sizing: border-box;
        width: 100%;
        padding: 16px 36px;
        background: #fff;
        font-size: 15px;
        font-weight: 500;
        color: #1a1a1a;
        border-radius: 32px;
        text-decoration: none;
        transition: 0.2s;

        &:hover {
          background: #28b351;
          color: #fff;

          .button__icon {
            fill: #fff;
          }
        }

        @media (min-width: 576px) {
          align-items: center;
          width: auto;
        }

        & .button {
          &__label {
          }

          &__icon {
            display: inline-block;
            position: relative;
            top: 2px;
            width: 14px;
            height: 20px;
            margin-left: 8px;
            fill: #1a1a1a;
          }
        }
      }
    }
  }
}

.wrapper {
  position: relative;
  margin: 0 auto;
  padding: 32px 0;
  max-width: 1040px;

  @media (max-width: 1024px) {
    padding: 32px 16px;
  }
}
</style>
